﻿using Infragistics.Controls.Grids;
using Sample.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<Person> _people;
        public MainWindow()
        {
            InitializeComponent();

            _people = new ObservableCollection<Person>();
            _people.Add(new Person() { Name = "Erika", Age = 20 });
            _people.Add(new Person() { Name = "Fder", Age = 23 });
            _people.Add(new Person() { Name = "Rich", Age = 24 });
            _people.Add(new Person() { Name = "Edmar", Age = 25 });
            _people.Add(new Person() { Name = "Noah", Age = 18 });
            _people.Add(new Person() { Name = "Emma", Age = 22 });
            _people.Add(new Person() { Name = "Mason", Age = 35 });
            _people.Add(new Person() { Name = "Ethan", Age = 28 });
            _people.Add(new Person() { Name = "Jacob", Age = 43 });
            _people.Add(new Person() { Name = "Olivia", Age = 15 });
            _people.Add(new Person() { Name = "Sophia", Age = 24 });
            _people.Add(new Person() { Name = "Ava	", Age = 24 });
            _people.Add(new Person() { Name = "James", Age = 17 });
            _people.Add(new Person() { Name = "Alexander", Age = 36 });
            _people.Add(new Person() { Name = "Michael", Age = 27 });
            _people.Add(new Person() { Name = "Amelia", Age = 14 });
            _people.Add(new Person() { Name = "Evelyn", Age = 27 });
            _people.Add(new Person() { Name = "Jackson", Age = 24 });
            _people.Add(new Person() { Name = "Lucas", Age = 35 });

            xamGrid.ItemsSource = _people;
        }

        private void XamTextEditor_TextChanged(object sender, RoutedPropertyChangedEventArgs<string> e)
        {
            if (string.IsNullOrEmpty(xamText.Text))
            {
                xamGrid.SelectionSettings.SelectedRows.Clear();
                return;
            }

            IEnumerable<Row> result = xamGrid.Rows.Where(row => ((Person)row.Data).Name.Contains(xamText.Text));
            if(result.Count() > 0)
            {
                xamGrid.SelectionSettings.SelectedRows.Clear();
                foreach (Row row in result.ToArray())
                {
                    xamGrid.SelectionSettings.SelectedRows.Add(row);
                }
                xamGrid.ScrollCellIntoView(result.ToArray()[0].Cells[0]);
            }

        }
    }
}
